Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IColumnDefinition

All Known Implementing Classes:
  ColumnDefinition

    public interface IColumnDefinition

Describes a column that appears in the data row of a data set. The report designer uses this class to define columns for two purposes: to provide result set metadata for those data sets whose result set metadata cannot be obtained from the driver, and to provide a processing hint to the data engine.
A column definition includes a name or a 1-based position to identify the column in the data row. It provides information such as data type, alias, export and search hints about the specified column.

Field Summary
`static int` | `ALWAYS_EXPORT`
`static int` | `ALWAYS_SEARCHABLE`
`static int` | `DONOT_EXPORT`
`static int` | `EXPORT_IF_REALIZED`
`static int` | `NOT_SEARCHABLE`
`static int` | `SEARCHABLE_IF_INDEXED`

Method Summary
`java.lang.String` | `getAlias()` Gets the alias of the column.
`java.lang.String` | `getColumnName()` Gets the column name.
`int` | `getColumnPosition()` Gets the column position.
`int` | `getDataType()` Gets the data type of the column.
`int` | `getExportHint()` Gets the export hint for the column
`int` | `getNativeDataType()` Gets the column's native data type as defined by the underlying data source.
`int` | `getSearchHint()` Gets the search hint for the column

Field Detail

### ALWAYS_SEARCHABLE

    static final int ALWAYS_SEARCHABLE

See Also:
  Constant Field Values

### SEARCHABLE_IF_INDEXED

    static final int SEARCHABLE_IF_INDEXED

See Also:
  Constant Field Values

### NOT_SEARCHABLE

    static final int NOT_SEARCHABLE

See Also:
  Constant Field Values

### DONOT_EXPORT

    static final int DONOT_EXPORT

See Also:
  Constant Field Values

### EXPORT_IF_REALIZED

    static final int EXPORT_IF_REALIZED

See Also:
  Constant Field Values

### ALWAYS_EXPORT

    static final int ALWAYS_EXPORT

See Also:
  Constant Field Values

Method Detail

### getColumnName

    java.lang.String getColumnName()

  Gets the column name. Column name uniquely identifies a column in the data row.

  Returns:
    Name of column. If column is unnamed, returns null.

### getColumnPosition

    int getColumnPosition()

  Gets the column position.

  Returns:
    1-based position of column. If column is identified by name, returns -1.

### getDataType

    int getDataType()

  Gets the data type of the column.

  Returns:
    Data type as an integer.

### getNativeDataType

    int getNativeDataType()

  Gets the column's native data type as defined by the underlying data source. The native data type code value is implementation-specific. Default value is 0 for none or unknown value.

  Returns:
    the native data type code of this column.

### getAlias

    java.lang.String getAlias()

  Gets the alias of the column. An alias is a string that can be used interchangably as the name to refer to a column.

### getSearchHint

    int getSearchHint()

  Gets the search hint for the column

### getExportHint

    int getExportHint()

  Gets the export hint for the column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.